# Editor Handbook

## Overview

The Editor takes on a beacon role for the group to bring multiple functions together ensuring Kubernetes contributors have a wealth of robust content and communications.

### Responsibilities

- Develop high level marketing strategies and themes to address problem areas, challenges, and innovation/moving the project forward; expected to collaborate with Leads on their strategies for functional areas
- Ensure the team has a unified voice, focus, and work within the charter scope
- Research and identify new and innovative ways of delivering content that
appeals to our mission
- Facilitates meetings or can delegate to Associate Editor
- Manage the [editorial calendar] and [marketing project] boards.
- Proofreading and editing articles with our [blogging] and [ethos] in mind
- Act as or facilitate conversations and workflows between all types of stakeholders:
  - SIG Contributor Experience
  - Community Group Chairs and Tech Leads  
  - CNCF
  - Steering Committee
  - Contributors
- Working with the liaison team members to manage communications and workflows
between the groups
- Helping to recruit other members of the team, ensuring onboarding but delegating to proper lead; fall back when no lead present is the Editor
- Has the ability to modify the team charter and seeks consensus with Contributor Experience communication [OWNERS] when considering any major changes.
- If time allows, market the team; blog about the team and it's progress, encourage team to blog about their work

### Minimum Skills and Requirements

Skills:

- Be comfortable with general GitHub workflows. We can teach you ours but a foundation for this role is necessary. You'll be working inside of multiple repositories with different experiences and helping others on the team with troubleshooting.
- Strong written and verbal skills
- Be ok with saying no, but with a reason to back it up; be empathetic.
- Have existing relationships with the contributor community either through other work or as an Associate Editor
- Patience

Requirements:

- Member of the [Kubernetes GitHub Org]
- [Reviewer] in the marketing team folder
- Shadowed under a lead in any role on the team for 6 months total (could be a combination of roles during that time period

#### Expected Time Investment

- Four hours a week as a minimal target.

### Platforms, Tools, Access

Here is a checklist of items we will work to get access when you accept the role.

- Access to send and respond to email from community@kubernetes.io
- Access to community and website repositories, all relevant calendars, and project boards
- Other items listed in [team-resources]

### Duration  

6months to 12months??
//discussion point

## Associates Overview (Shadow)

The Associate Editor should be able to achieve the above list of skills by the time they will be eligible to become the lead.

### Expectations

Collaborate closely with the lead Editor toward the responsibilities outlined above. Be ready to backfill for them when they are unable to attend a meeting or represent the working group.

TODO  

[editorial calendar]: https://github.com/orgs/kubernetes/projects/41
[marketing project]: https://github.com/orgs/kubernetes/projects/39
[team-resources]: ../team-resources.md
[Kubernetes GitHub Org]: https://git.k8s.io/community/community-membership.md
[Reviewer]: ../OWNERS
[OWNERS]: /communication/OWNERS
[blogging]: ../blog-guidelines.md
[ethos]: ../CHARTER.md#ethosvision
