# Internal Communications and Marketing Handbook

## Overview

The Internal communications role is responsible for handling communications out to the broader Kubernetes contributor community. The types of communications are outlined in our [multichannel communications doc].

## Responsibilities

- Working towards a more streamlined communication process within the project for different use cases
- Create and maintain a one stop shop intake form/issue template/etc for contributors to get comms and marketing support
- Identifying communication milestones and deadlines
- Map out communication pipelines
- Promoting contributor events
  - In the events folder or one off contributor events like SIG onboarding sessions
- KEPs
  - To follow the same process as [social guidelines]
  - No promotion unless there is an explicit documented request

## Minimum Skills and Requirements

- Are a member of the [Kubernetes GitHub Org]
- Shadowed in this role or another role on the marketing team for at least 3 months

### Expected Time Investment

3-5 hours a week

### Platforms, Tools, and Access

- Needs access to send and respond to mail on community@kubernetes.io
- Contributor calendar
- and everything listed in [team-resources]

## Associates Overview (Shadow)

The Internal Communicaitons Shadow should be able to achieve the above list of skills by the time they will be eligible to become the lead.

## Out of scope

- release; there is a communications coordinator (can help where needed, be an advisor, or help with reach)
- contributor summit; there is a role that will assume a communications function (can help where needed, be an advisor, or help with reach)
- community meetings; there is already a well-defined process in place where each month's lead manage communications out to the community

[multichannel communications doc]: ../multichannel-communications.md
[social guidelines]: ../social-guidelines.md
[team-resources]: ../team-resources.md
[Kubernetes GitHub Org]: https://git.k8s.io/community/community-membership.md
