Kubernetes Summit: New Contributor Workshop

*This was presented as one continuous 3-hour training with a break. For purposes of live coding exercises, participants were asked to bring a laptop with git installed.*

This course was captured on video, and the playlist can be found [here](https://www.youtube.com/playlist?list=PL69nYSiGNLP3M5X7stuD7N4r3uP2PZQUx).

*Course Playlist [Part One](https://www.youtube.com/watch?v=obyAKf39H38&list=PL69nYSiGNLP3M5X7stuD7N4r3uP2PZQUx&t=0s&index=1):*
* Opening
  * Welcome contributors
  * Who this is for
  * Program
  * The contributor ladder
* CLA signing
  * Why we have a CLA
  * Going through the signing process
* Choose Your Own Adventure: Figuring out where to contribute
  * Docs & Website
  * Testing
  * Community management
  * Code
    * Main code
    * Drivers, platforms, plugins, subprojects
  * Finding your first topic
  * Things that fit into your work at work
    * Interest match
    * Skills match
  * Choose your own adventure exercise
* Let's talk: Communication
  * Importance of communication
  * Community standards and courtesy
  * Mailing Lists (esp Kube-dev)
  * Slack
  * Github Issues & PRs
  * Zoom meetings & calendar
  * Office hours, MoC, other events
  * Meetups
  * Communication exercise
* The SIG system
  * What are SIGs and WGs
  * Finding the right SIG
    * Most active SIGs
  * SIG Membership, governance
  * WGs and Subprojects
* Repositories
  * Tour de Repo
  * Core Repo
  * Website/docs
  * Testing
  * Other core repos
  * Satellite Repos
  * Owners files
  * Repo membership
* BREAK (20min)

*Course Playlist [Part Two](https://www.youtube.com/watch?v=PERboIaNdcI&list=PL69nYSiGNLP3M5X7stuD7N4r3uP2PZQUx&t=0s&index=2):*
* Contributing by Issue: Josh (15 min) (1:42)
  * Finding the right repo
  * What makes a good issue
  * Issues as spec for changes
  * Labels
    * label framework
    * required labels
  * Following up and communication
* Contributing by PR (with walkthrough)
  * bugs vs. features vs. KEP
  * PR approval process
  * More Labels
  * Finding a reviewer
  * Following-up and communication
  * On you: rebasing, test troubleshooting
* Test infrastructure
  * Automated tests
  * Understanding test failures
* Doc Contributions
  * Upcoming changes to docs
  * Building docs locally
  * Doc review process
  
*Course Playlist [Part Three](https://www.youtube.com/watch?v=Z3pLlp6nckI&list=PL69nYSiGNLP3M5X7stuD7N4r3uP2PZQUx&t=0s&index=3):*

* Code Contributions: Build and Test
  * Local core kubernetes build
  * Running unit tests
  * Troubleshooting build problems
* Releases
  * Brief on Release schedule
  * Release schedule details
  * Release Team Opportunities (shadows)
* Going beyond
  * Org membership
  * Meetups & CNCF ambassador
  * Mentorship opportunties
    * Group Mentoring
    * GSOC/Outreachy
    * Release Team
    * Meet Our Contributors
    * 1-on-1 ad-hoc mentoring
  * Kubernetes beginner tutorials
  * Check your own progress on devstats
