# Contributors Awards Ceremony Playbook

Kubernetes has a tradition of yearly peer awards. 
These are commonly handed out during the end-of-year Contributor Summit. 
The CNCF typically has awards as part of KubeCon + CloudNativeCon, the Kubernetes awards are a compliment to those, and are meant to be peer awards.


## Ideals and Values

Typically each SIG will nominate two(2) recipients for an award. 
Ultimately the individual SIGs are responsible for their award nominations, in certain cases there may be an example of excellent work that requires more than two awards, co-chairs should use their judgement to determine if this is the case. 

Here are a few suggestions or ideas that make for a good award nominee: 

- Contributions to the project
   - Should consider contributions to the SIG and to upstream Kubernetes
     - Many contributors work on other projects, these awards are specific to Kubernetes itself
     - In some cases a top-level CNCF award nomination might be more appropriate
   - Should consider contributions to other SIGs, especially cross-SIG collaboration
   - Should consider large multi-cycle work that encompasses multiple releases
- Kubernetes Values
   - Is the person exemplifying the Kubernetes values?
   - Remember that non-code contributions are important! 
- Community Input
  - Leads should take input from other SIG members, larger SIGs might consider mentioning the awards ahead of time to allow members to communicate nominations to leads. 
- Celebrate the Individuals as people
  - Awards are affiliation-free and earned by individuals, we do not mention vendors at all as part of this process
  - Vendors are encouraged to celebrate individuals via their own social properties, the awards themselves will remain neutral
- Spread the Wealth
   - Should consider lookin at underserved areas of the project
   - For every "rock star" there's probably a few people quietly doing excellent work.
   - Should consider past awards, having the same person winning the award repeatedly shouldn't be the norm. 

## Process

### Coordinating with the CNCF

Typically a representative from the CNCF will be assigned to assist with the awards. 
Payment of the vendor MUST happen through the CNCF, do NOT pay for community awards with your work credit card, keep the awards affiliation free. 

Coordinate with the CNCF to determine the budget to ensure that the awards fit within it. 
Shipping costs and other fees like customs, etc. might be taken into account so it's important to set this goal first before proceeding. 

The CNCF will also help brainstorm awards and recommend vendors, if you need it. 
Generally speaking we try to come up with something creative and unique. 

### Determining the Award

Our community is clever and unconventional, the awards should be classy, but quirky. 
The awards should also be a "surprise" when unveiled, discussion about the awards are done publically as part of SIG Contributor Experience. 
The contributor summit subproject owners will determine how best to keep this open secret, usually leaving out the award specifics from the meeting notes or meeting recordingss are enough to keep it fun and a surprise.

Here are some examples of past awards:


### Choosing a Vendor

Vendors are important!
Our community is spread all over the world, so when choosing a vendor consider if they can ship to where our contributors are, not just the US and EU.

### Checklist

- [ ] Contributor Summit Planning Begins
- [ ] Event Team should assign someone as the Awards Lead and one or two shadows
- [ ] Awards Team determines what kind of award for that Contributor Summit
- [ ] Awards team should plan for 3 weeks of vendor research
- [ ] Once an Award has been selected, the vendor needs to be approved by the CNCF Representative
    - [ ] Can they ship to the countries we need?
    - [ ] Do they accept our payment options?
    - [ ] Ideally the vendor can handle accepting a planning spreadsheet from us so they can produce the awards.
    - [ ] Customs considerations
    - [ ] Other things Deb looks for go here
- [ ] Create an Awards Spreadsheet
    - [ ] With the Kubernetes Gsuite Account
    - [ ] Only the Awards team, the CNCF Representative, the lead of the Contributor Summit Planning, and SIG Contributor Experience should  have access to this sheet.
    - [ ] Awards Nomination should be announced to the SIG Chairs/TLs via their normal channels.
    - [ ] Awards team collects nominations from the SIGs and fills out the tracking sheet.
        - [ ] Name, Address, Phone number, github handle, email - Vendors will usually need more info depending on customs
    - [ ] CNCF Representative proofs and ensures the sheet has all the fields/information that the vendor requires. 
    - [ ] Do not assume that nominators, coworkers, etc. have spelled submissions correctly, you need to double check each name and address, having to redo an award because of a typo can get expensive.
- [ ] Coordinate with the Marketing Team
    - [ ] Awards tweets for the ceremony
    - [ ] Awards tweets for the winners
    - [ ] Blog post announcing the winners, and linking to the contributor site page
    - [ ] Amplify awardee social media posts when they post pics of their awards, thanking people, etc. 

### Awards Ceremony

The Awards Ceremony is typically done as part of the Contributor Summit. 
There may be cases where the ceremony is separate or virtual, here are some tips:

- Ceremony should be fun, but taken seriously.
  - Awards team should either be the hosts or select someone appropriate to be the hosts.
  - The ceremony is all about the awardees and celebrating their achievements. 
  - [link to last one]
- Ceremony should be easy to share and easy for other contributors to celebrate.
  - Pregenerate tweets so people can share. 
  - Try to mention names and github/twitter/social handles so that it's easier for the audience to share
  - (This should be rewritten so it doesn't sound so partisan but whatever, jorge) - If you have time find tell one of their coworkers in the project so that their employer knows that they're getting an award, we want companies to celebrate and reward when their employees do awesome things. Get them in on the secret. :D 
- During actual Contributor Summits
  - It might be more efficient for the team to bring one example of the award from the vendor to show as part of the ceremony instead of bringing all the awards to the event!
  - Consider awardee's travel luggage, in many cases drop shipping will be much easier and cheaper.
- Virtual Contributor Summits
  - Usually a picture of the award is sufficient and then drop ship the rest.
- Awardees should be made aware of logistics
  - The awards are given during the time right up to the end of year holidays, shipping after the holidays is usually easier, awardees should be given a general idea of when the award ships.