## Vote for justinsb!

You can see my full "manifesto" [here](https://groups.google.com/d/msg/kubernetes-dev/YawXYxGHWEg/IlLN-iD6CgAJ); we've been asked to provide a shorter summary here.

This election is critical.  The steering committee is not an honorary position;
it has effectively unlimited powers.  Serving is a duty, not a privilege, and I
humbly ask for your vote.

---

I have been involved with Kubernetes since before 1.0, primarily on AWS support
(I am a lead of sig-aws), but also contributed the original multi-zone &
NodePort support. I also started the kops project, to produce an open-source
and consistent Kubernetes installation tool. I'm an independent, working with
Kubernetes in my day job but not employed to contribute to it, so I contribute
instead where I see a problem or an unmet need.

If elected, I will serve wearing my own two hats: that of a developer on
the project contributing because it is a positive personal experience, and that
of an end-user of Kubernetes valuing a stable and straightforward product.

I believe I bring particularly strong experience on non-GCE, non-Redhat
platforms, and on the realities of maintaining projects outside the core repo.
I think these are likely to be some of the most challenging areas for the
steering committee.

## My manifesto:

(Abbreviated from [here](https://groups.google.com/d/msg/kubernetes-dev/YawXYxGHWEg/IlLN-iD6CgAJ) )
 
* Reach decisions quickly & consistently; communicate them clearly.

* Value a clear and efficient developer process.

* Empower the release team with the goal of producing a more stable release.

* Figure out how to delegate to SIGs without creating fiefdoms.

* Streamline our processes.

* Promote experimentation with alternative processes amongst our many projects,
balancing against the need for a consistent experience, allow the best approaches to "bubble-up".

