Adjust this template as necessary:

## Election Announcement

It’s that time of year again!

As is now customary, this fall is election season for Kubernetes. Three(3) elected members (bobkillen, dims, liggitt) will stay on for the remaining year of their terms, and there will be four(4) positions open for election. Every election term will be 2 years. We will be posting regular updates to kubernetes-dev with deadlines and instructions as well as providing quick updates during the regular Thursday community meetings until completion of the election.

If you’d like to vote or run for a seat, all details and next steps are outlined in the election process doc[3] and voters guide.[4] The voters guide will be the single source of truth of information for this cycle. It will be updated live as new bios of candidates flow through over the next four weeks. Please pay attention to the scheduled dates:

| schedule here |

As mentioned in the process doc, eligibility for voting will be determined by 50 contributions to a Kubernetes project over the past year and Kubernetes Org membership[5], which will result in you getting a ballot emailed to you when the election starts. All contributors who will receive a ballot are listed in voters.md[6]; if your name is not there, you will need an exception to vote.

For those of you doing work within the Kubernetes project/community that is NOT measured in GitHub, or if you have 50 contributions but not Org Membership, you can apply for participation via the voter exception form[7]. This is to ensure that non-code contributors can participate, so please don’t hesitate to use the form.

Resources:


[1] Steering Committee:  https://github.com/kubernetes/steering - who sits on the committee and terms, their projects and meeting info
[2] Steering Committee Charter: https://github.com/kubernetes/steering/blob/master/charter.md  - this is a great read if you’re interested in running (or assessing for the best candidates!)
[3] Election Process: https://git.k8s.io/steering/elections.md 
[4] Voters Guide: https://github.com/kubernetes/community/tree/master/events/elections/2021 - Updated on a rolling basis. This guide will always have the latest information throughout the election cycle. The complete schedule of events and candidate bios will be housed here.
[5] Contributor Ladder: https://github.com/kubernetes/community/blob/master/community-membership.md -  explains Org Membership as well as all of the higher levels
[6] Voters.md: https://github.com/kubernetes/community/blob/master/events/elections/2021/voters.md -  list of contributors who will automatically receive a ballot
[7] exception Form: https://www.surveymonkey.com/r/k8s-sc-election-2021


On behalf of the election officers,

Name (github), Name (github), etc

If you have questions, please feel free to ask on the list; otherwise, you can reach the Election Officials at election@kubernetes.io.

## Election Status Updates

Post these weekly to kubernetes-dev

$greeting,

The Kubernetes Steering Committee Election begins today/is underway! Here's what you need to know as we begin prep to send out the ballots.

    Ballots are going out today via email. Expect a mail from "Kubernetes Election Officers (CIVS poll supervisor) <ci...@cs.cornell.edu>" with a subject like "Poll: Kubernetes Steering Committee Election 2021"
        Email can be unreliable, so generally expect them this morning, if you haven't received one by the end of the day let us know, sending you a new ballot is easy for us.

The candidates and links to their bios are all available here: https://git.k8s.io/community/events/elections/2021

// Voting

- You should check to see if you are in voters.md. Your github handle MUST BE IN THIS DOCUMENT to vote: https://github.com/kubernetes/community/blob/master/events/elections/2021/voters.md

- If you feel you have made enough contributions to be able to vote but you are NOT in voters.md, you need to fill out this form by XXX: https://www.surveymonkey.com/r/k8s-sc-election-2021

- If you are planning on running for Steering Committee please see this section of the documentation, you need to PR your biography into the repo by XXX: https://github.com/kubernetes/community/tree/master/events/elections/2021#candidacy-process


// Schedule

The next deadline is XXX , you have until then to complete your ballot. If you have any questions, let us know.

| September XX | All candidate bios due by 0000 UTC (5pm PST) |
| September XX | Election Begins via email ballots |
| October XX   | Deadline to submit voter exception forms and request a replacement ballot |
| October XX   | Election Closes by 0000 UTC (5pm PST) |
| October XX   | Announcement of Results at Community Meeting |


// Resources

Voters Guide - https://git.k8s.io/community/events/elections/2021
Steering Committee -  https://git.k8s.io/steering
Steering Committee Charter - https://git.k8s.io/steering/charter.md
Election Process - https://git.k8s.io/steering/elections.md

On behalf of the election officers,
Name (github), Name (github), etc

If you have questions, please feel free to ask on the list; otherwise, you can reach the Election Officials at election@kubernetes.io

## Election Poll Header

Welcome to the 2021 annual Kubernetes Steering Committee election.  More information, including candidates, links to candidate bios, deadlines and procedures, can be found <a href="https://github.com/kubernetes/community/tree/master/events/elections/2021">on the 2021 election page.</a>
<br /><br />
All eligible <a href="https://github.com/kubernetes/community/blob/master/events/elections/2021/voters.md">voters</a> for this election should have received individual ballots by email.  Please do not use a ballot that was forwarded to you by another contributor, as that will invalidate your vote.
<br /><br />
The Steering Committee Election is a preference election.  Please arrange the candidates in the order you would prefer them.  Three members of the committee will be elected this year.  PLEASE NOTE: "No opinion" is also a voting option if you do not feel comfortable ranking every single candidate.
<br /><br />
To report issues with this election, need a replacement ballot, or ask questions, email <a href="mailto:election@kubernetes.io">the Election Officials.</a>

## Election Results

This mail only goes to the incumbent members of steering who are NOT running that year!

$greeting,

Please keep this information private!

An incumbent steering member announces the results. At least one of you please come to the community meeting tomorrow to make the announcement. Let us know if you cannot.

After the community meeting, we'll publish this blog post (feedback encouraged).

A note on the results, as per previous elections we plan on announcing/celebrating the winners and only publishing their names, GitHub handles, and affiliations. We purposely don't mention rankings or the results of the rest of the field.

We will quietly check in the full election results (with anonymized ballots) into the community repo in the next few weeks. This will satisfy transparency requirements while being respectful to the other candidates.

Results and data from the 2021 Steering Committee election:

- XXX eligible voters as determined by:
    - XXX org members with 50+ DevStats recorded contributions between
    Aug 1 2020 and Aug 1 2021.
    - XX additional exception voters comprising XX% of exception requests
    - Of the XXX eligible voters, no useful address could be initially
    determined for XX of them, XX members submitted corrected email addresses,
    and X were denied due to ineligibility

Emails were obtained from the CNCF's gitdm along with some manual
reconciliation and comparison with last year's email list.

XXX total votes cast as of the close on October XX at 5pm PT (XX%)

Last Year's data: XXX eligible voters with XXX votes cast (XX%)


Final Results:

(paste these from CIVS)
1. Jane Containerface (@github)  (Condorcet winner: wins contests with all other choices)
