# Mentoring Activities at Events

During events like KubeCon and other related events that arise, there will be the opportunity for mentoring activities. This doc will list those. The KubeCon events are run by CNCF/LF and not Contributor Experience although we may advise and members could help out.

## Pod Mentoring

Pod mentoring gathers a group of mentors to help you get your Kubernetes-related questions answered quickly and efficiently. More mentors means more breadth of knowledge and experience, resulting in a better chance of at least one person being able to answer your question. It can also mean multiple perspectives since there isn't always one right answer!

To be respectul of each mentors time, please have succinct questions ready and a brief summary of what you've tried and what you'd like or expect to happen. For instance, an example of a poor question would be, "How do I write a controller?" An example of a good question would be, "I'd like to create a custom controller that checks for nodes that are in the 'Not Ready' state and print our their IP address. I'm not familiar with Golang so instead of using client-go I've looked at MetaController as a way to get started using Javascript. I'm having trouble with this portion of the webhook, can you please take a look?"

Pod mentoring will be available during KubeCon + CloudNativeCon events. You will need to register to attend to be eligible for mentoring. For those who wish to be a mentor please take a look at the [mentor-guide](mentor-guide.md).
