# Content Proposal for NCW Amsterdam

## Introduction

### 9:30 - 11:00 Intro Communications and Community 
Alison, Rob, Rael, Josh: support/segment?

Provide an overview on how the community works as a project both in terms of coordinating people and the special interest groups that those people participate in and the workflow that are used to accept new features, bug fixes.

Note: Although these will have to be run separately, the content will be the same.

## NCW Topics 101

This workshop will help a complete newcomer to Kubernetes get a running start as a contributor. Learn how to set up your developer environment, how to find your first contribution, and how to navigate the Kubernetes GitHub workflow. We will focus on a community approach to solving challenges, and on being good open source citizens.

### Morning Session 

#### 11:00 - 12:00 [Workspace Setup](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/workspace-setup.md) Tim & Rael

Make sure all Beginning Contributors have a workspace setup for hacking on Kubernetes

#### 12:00 - 12:30 [Local Build Test](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/build-and-test.md) Tim & Rael
#### 13:30 - 14:00 [Local Build Test](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/build-and-test.md) Tim & Rael

Build Kubernetes binaries locally, and do some fun things with them.

### Afternoon Sessions

#### 14:00 - 14:45 [Pull Request Exercise](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/playground-exercise.md) Guinevere, Rob

Give new contributors the experience of the Kubernetes GitHub workflow! 

This task requires some setup and planning. Labels, Bots

#### 14:45 - 15:15 [Find Your First Issue](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/first-issue-help.md) Jeff

Set participants on as much of a paved path to contributor success as possible. At this point in the workshop, participants should know what kind of issue they want to tackle.

## NCW Topics 201

This workshop focuses on the **more experienced** open source contributor. You may have sent patches to Kubernetes before, but may have gotten stuck or overwhelmed somewhere along the line. Take your contributor journey to the next level by learning about the main Kubernetes code base, how to build and test Kubernetes, and how to find reviewers and collaborators for your issue patches.

### Morning Session 

#### 11:00 - 12:00 K/K Walkthrough Alison 

Alison

Guided tour of the main k/k repository, to build a broader understanding of how the codebase is structured

#### 12:00 - 12:25 Labels, Bots and Git Workflow Guin & Rob

In this session, we will cover how contributors interact with the kubernetes codebase on github. Join us as we dive into the Git Workflow used throughout the kubernetes project, including how Labels and Bots play a key role in managing issues and prs.

### Afternoon Sessions

#### 13:30 - 14:30 [Local Build & Test](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/build-and-test.md) - 1hour ( Or Maybe More? ) Ben

Build Kubernetes binaries locally, and do some fun things with them.

#### 14:30 - 14:50 You! Yes you can review a PR! 15-20m Alison & Tim H

In this session attendees will learn the in’s and outs of reviewing pull requests. We will go through a reviewing a pull request onstage, and provide some good starting points.

#### 14:50 - 15:15 [Finding Your First Issue](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/first-issue-help.md) / Closing Remarks 15m

To close the Intermediate contributor workshop, The intermediate contributor workshop team will share their tips and tricks of finding a first issue, and stories of their first contributions. 

## Resources To Create

* Capture who is presenting what

* Slides to reflect the content proposal

* Assign presenters for each section so presenters own their own slides

* Docker Image Registry

    * Source Tree in a Docker Image incase of networking issues

    * [Sheet of what will be on the Harbor box](https://docs.google.com/spreadsheets/d/1_CUFluzIgeHt4vra9hs6OqBqDZQ8oUl9Og-IixkoEAM/edit?usp=sharing)

        * Add the needed container images, other binaries you want, and specific versions

* Know before you go details

    * Instructions, What to install on your laptop, Sign the CLA

* Can we link and update the handbooks here? Every presenter can update the handbooks as content matures!

* On the day plan - More indepth dive of what happens

### On The Day / Extra Notes
[runbook.md](runbook.md)

### Handbooks
[../resources](../resources)

### Slides
[https://docs.google.com/presentation/d/19OtCzuDTVeeIfMD39OOODGJzkV3UGM_nr7jpSNhoy2s/edit?ts=5e4b8bc8#slide=id.g52cc57d172_7_69](https://docs.google.com/presentation/d/19OtCzuDTVeeIfMD39OOODGJzkV3UGM_nr7jpSNhoy2s/edit?ts=5e4b8bc8#slide=id.g52cc57d172_7_69)

## Slide Ideas

* Solidify formatting for each type of slide

    * Code with instructions

    * Main Image

    * Image with text

    * Title Slides

    * Schedule Slides

* Retro notes - Be a bit more creative with the slides, Do we want to do a direct copy paste of the slides from last time

* From San Diego page
*Try to represent the journey of a contributor with the slides*

* *Linking the key ideas themes, with walking along a brick road or similar. From cat to kubecat. *Or capybara to kubeybara 

* Break Slides

* *Is a long presentation, adding a timeline at the bottom can help the attendees follow the presentation. This can go with the idea of showing the progress of the contributor as we move forward with the presentation. - I love this! -guin*

## References

San Diego Contributor Summit Content Proposal

[https://docs.google.com/document/d/1ha3KtgLcRIY7IaRi9pm_h28xVsx9VoVLu8Fl1YO-eCI/edit?pli=1#heading=h.c2mvd8re7lpn](https://docs.google.com/document/d/1ha3KtgLcRIY7IaRi9pm_h28xVsx9VoVLu8Fl1YO-eCI/edit?pli=1#heading=h.c2mvd8re7lpn)

Last years sched for san diego 

[https://kcsna2019.sched.com/](https://kcsna2019.sched.com/)

Reference

[https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/README.md](https://github.com/kubernetes/community/blob/master/events/events-team/content/new-contributor-workshops/README.md)

## Virtual Event Go/No Go

Alison: Go (speaking live)

Jeff: Go (streaming/speaking live)

Josh: Go (pre-record; virtual Q&A)

Guin: Go (pre-record)

James M: 

Rob: Go (Flexible; assign content ASAP)

Chris Short: Go (shadow; streaming)

Samudrala: Can present

Nabarun: Can present

Tim P: Can present (shadow)

Rael: No Go

Ben: No Go
