# Video Recording Guide for NCW2 DRAFT


## Introduction


## Setting up Your Video Environment


### Video

The primary video in your NCW presentation will be screen-sharing, but it's also great if you can have some webcam segments.  New contributors want to see the faces of current contributors.


#### Webcam Recording

Use an external webcam. 1080p preferred or 720p at a minimum. Typically, either will be better quality than the built-in camera on your laptop. They often have an autofocus function and auto

lighting adjustments that help you get a better camera feed in less than optimal lighting conditions.

It’s best to optimize the ambient lighting within your space first. There should be no window or strong light source behind you that darkens your face and no strong light source from one side that casts a shadow on the opposite side of your face. Good ambient lighting from your ceiling lights or windows may be enough as long as they are in front of you. Diffused lighting is better than harsh, direct lighting.





Webcam tips:



*   Background – keep it clean and uncluttered. It’s great to show off your personality/style in your home, just be sure to keep everything appropriate for a general audience and compliant with the Code of Conduct. A plain wall is also just fine, no need to overdo it.
*   Position the camera as close as possible at your eye level, not pointing up towards your nose or the ceiling, or down towards the floor. It can be as simple as raising your laptop via a few books. Or if you have an external webcam, position it on the top edge or close to the top of the screen from which you are advancing your slides/notes.
*   Keep eye contact with the camera just like you would look at your audience during an in-person presentation. 
*   Check [https://drive.google.com/drive/u/1/folders/1cvGcRgX9IWNR_csNVJ0nWRYD65Wmx9hu](https://drive.google.com/drive/u/1/folders/1cvGcRgX9IWNR_csNVJ0nWRYD65Wmx9hu) for virtual background images if you’d like to use them. 

Please, check the 4 minute video: [https://youtu.be/rGcAM1CNEU0](https://youtu.be/rGcAM1CNEU0) for more tips and examples.


#### Resolution

Videos should ideally be recorded at 1080p or 720p if you’re using a video device, or at one of the following resolutions for screencasts:



*   1440x1080
*   1440x900
*   1280x960
*   1368x768
*   1280x800
*   1280x720
*   1024x768

Particularly, do not record the video on the highest resolution your computer offers, such as 3200x1800.  Such large screen sizes will make it difficult for folks with low bandwidth or older computers to view your broadcast.  If you have a high-resolution screen on your computer, this may mean downgrading the resolution for screencasting.


### Audio

Good audio is important. All recorded NCW segments have audio and this is the most important element that reinforces your presentation slides. In addition to software, you'll need hardware for recording audio.  We realize that you don't necessarily have a chance to purchase or borrow the best audio equipment for an NCW video, but here's a few recommendations:

**Best:** External microphone (condenser recommended over dynamic*) usually via a USB connection (e.g. Blue / Rhode / Razer brands). This type of microphone allows you to keep your mouth somewhat distant from the microphone, not up very close. You should try to keep it out of the video shot.

**Good:** A headset with microphone, even if it’s earbud type with the mic on the lanyard. It’s about isolating microphone pick-up from ambient noises within your recording/streaming space. Input via USB or single mini-jack is typical or it can be dual minijack for older laptops/PCs.  Cordless headsets also work, but it's better to use radio frequency dongles (RF) than bluetooth, which tends to produce sound quality issues.

**Acceptable:** External microphone built into your webcam. Often better quality than your built-in laptop microphone.

**Worst:** Your built-in laptop microphone.  These are generally low-quality microphones, and they have little or no ability to filter out background noise.

In general, it’s best to be in a controlled environment with little to no background noise and mute all other audio devices that are not necessary.

   		 	


### Console Sessions

Please, don’t forget to increase the font size when sharing a console. 


## Recording Options and Instructions


### Zoom



*   Start a meeting in zoom (you can start and record a meeting with a single participant)
*   Get the presentation slide setup with the screenshare.
*   Once thats all setup click the record button
*   when you click end meeting the video should export locally if you're doing the local record option
*   Rename and copy mp4 file to google drive folder: [https://drive.google.com/drive/u/1/folders/1cvGcRgX9IWNR_csNVJ0nWRYD65Wmx9hu](https://drive.google.com/drive/u/1/folders/1cvGcRgX9IWNR_csNVJ0nWRYD65Wmx9hu)  



### Documentation and Exercises


### Where to Upload

[https://drive.google.com/drive/u/1/folders/1cvGcRgX9IWNR_csNVJ0nWRYD65Wmx9hu](https://drive.google.com/drive/u/1/folders/1cvGcRgX9IWNR_csNVJ0nWRYD65Wmx9hu) - please upload all video files here. 


## Tips


## Equipment Recommendations

Here are some equipment recommendations from the CNCF:

Headset Microphones:

Logitech / Plantronics – i.e. Logitech H111 / Logitech H390 / Plantronics C225

External Microphones:

Blue / Samson – i.e. Blue Snowball / Blue Yeti / Samson Meteor / Samson G-Track

Webcams:

Good value – Logitech C270

Value + added features – Logitech B525/C615

Higher resolution, better microphone – Logitech 9series / Microsoft LifeCam 

More info – https://www.tomsguide.com/news/where-to-buy-webcams-now-these-retailers-have-stock

Presentation remotes:

Logitech / Canon / Kensington / SMK

Tested and recommended for PC or Mac – Logitech R400, R800, Spotlight / Canon PR500, PR100

