# Outreachy

Kubernetes is happy to announce our participation in the Outreachy program. Please see the [main program page](https://www.outreachy.org/) for general information including the time line for semesters as it's only a few times a year. The outreachy site also provides the eligibility requirements and how to apply.

If we are currently participating, you will see the Kubernetes project listed [here](https://www.outreachy.org/apply/project-selection/#kubernetes). If you are interested in becoming a mentor or have a Kubernetes project that would be good for an Outreachy intern, please reach out to #sig-contribex on slack. 

## What is Kubernetes?

Kubernetes is an open-source system for automating deployment, scaling, and management of containerized applications.
It groups containers that make up an application into logical units for easy management and discovery. Kubernetes builds upon 15 years of experience of running production workloads at Google, combined with best-of-breed ideas and practices from the community.
Please see [kubernetes.io](https://kubernetes.io/) for more details.

## What are SIGs?

Kubernetes is a set of projects, each shepherded by a special interest group (SIG).
To get a grasp of the projects that we work on, check out the complete [list of SIGs](/sig-list.md).

This [slide deck](https://docs.google.com/presentation/d/1JqcALpsg07eH665ZXQrIvOcin6SzzsIUjMRRVivrZMg) provides an overview of how the Kubernetes community is organized.

## Communication

- Mailing List: development announcements and discussions appear on the [`kubernetes-dev`](https://groups.google.com/forum/#!forum/kubernetes-dev) Google Group.
- Slack: Please [sign up](http://slack.k8s.io/) for an invite and join the the [#outreachy-apps](https://kubernetes.slack.com/messages/outreachy-apps) channel.

## Contribute

As part of the application process, the Outreachy program recommends that candidates make small contributions to the project they intend to apply for.

To start working on the project, make sure to fill out the [CLA](/CLA.md) and check if you have the right environment with this guide.
The README in the [community repo](https://github.com/kubernetes/community) details these things and more.

## Coordination

| **Name** | **Slack** | **Email** |
|----------|-----------|-----------|
| [Paris Pittman](https://github.com/parispittman) | @paris |  parispittman@google.com |
| [Nikhita Raghunath](https://github.com/nikhita) | @nikhita | nikitaraghunath@gmail.com |
| [Marky Jackson](https://github.com/markyjackson-taulia) | @markyjackson | marky.r.jackson@gmail.com |

The coordinators can be contacted at any time. The easiest way is to send a slack message.

Do you have an idea for a task that is suitable for this program? Contact the mentors or coordinators! Or even better, volunteer for mentoring an intern during the work on your idea!

* Administrative Note: There must always be 3 coordinators for the Outreachy project. If a coordinator leaves at any 
point, remaining coordinators must advertise for a new coordinator to backfill the vacant spot.

## Code of Conduct

Kubernetes abides by the [Code of Conduct](/code-of-conduct.md).
